# Class Glob

- Defined in router/common/glob.js:50

#####
Index

### Constructors

constructor

### Properties

glob
regexp
text

### Methods

matches
fromString
is

##
Constructors

### constructor

- new Glob(text): Glob

- #### Parameters

  - text: any

  #### Returns Glob

  - Defined in router/common/glob.js:59

##
Properties

### glob

glob: any

- Defined in router/common/glob.js:61

### regexp

regexp: RegExp

- Defined in router/common/glob.js:70

### text

text: any

- Defined in router/common/glob.js:60

##
Methods

### matches

- matches(name): boolean

- #### Parameters

  - name: any

  #### Returns boolean

  - Defined in router/common/glob.js:72

### `Static` fromString

- fromString(text): Glob

- Returns a glob from the string, or null if the string isn't Glob-like

  #### Parameters

  - text: any

  #### Returns Glob

  - Defined in router/common/glob.js:56

### `Static` is

- is(text): boolean

- Returns true if the string has glob-like characters in it

  #### Parameters

  - text: any

  #### Returns boolean

  - Defined in router/common/glob.js:52